glibmm 2.66.10

Classes | Public Member Functions | Related Symbols | List of all members
Glib::Threads::RecMutex Class Reference
Threads

This represents a recursive mutex. More...

`#include <glibmm/threads.h>`

## Classes
class | Lock
| Utility class for exception-safe locking of recursive mutexes. More...

## Public Member Functions
| RecMutex ()
| RecMutex (const RecMutex &)=delete
RecMutex & | operator= (const RecMutex &)=delete
| ~RecMutex ()
void | lock ()
bool | trylock ()
void | unlock ()
GRecMutex * | gobj ()

## Related Symbols
(Note that these are not member symbols.)
RecMutex * | wrap (GRecMutex * gobject)
| A C++ wrapper for the C object.

## Detailed Description

This represents a recursive mutex.

It is similar to a Mutex with the difference that it is possible to lock a RecMutex multiple times in the same thread without deadlock. When doing so, care has to be taken to unlock the recursive mutex as often as it has been locked.

Deprecated
  Please use std::recursive_mutex instead.

## Constructor & Destructor Documentation

## ◆ RecMutex() [1/2]

Glib::Threads::RecMutex::RecMutex | ( |  | ) |

## ◆ RecMutex() [2/2]

Glib::Threads::RecMutex::RecMutex | ( | const RecMutex & |  | ) |
| delete

## ◆ ~RecMutex()

Glib::Threads::RecMutex::~RecMutex | ( |  | ) |

## Member Function Documentation

## ◆ gobj()

GRecMutex * Glib::Threads::RecMutex::gobj | ( |  | ) |
| inline

## ◆ lock()

void Glib::Threads::RecMutex::lock | ( |  | ) |

## ◆ operator=()

RecMutex & Glib::Threads::RecMutex::operator= | ( | const RecMutex & |  | ) |
| delete

## ◆ trylock()

bool Glib::Threads::RecMutex::trylock | ( |  | ) |

## ◆ unlock()

void Glib::Threads::RecMutex::unlock | ( |  | ) |